$ExpansionDirectory = ( Directory[]<>"/expansions" );

Print["Please set the $ExpansionDirectory to the path of the expansions."];
Print[("The default path is: "<> $ExpansionDirectory) ];

zmnum[x_, m1_, mm1_, mm2_, scheme_] := Module[{zmOSOSx0,zmOSOSx1,zmOSOSxinf,zmMSOSx0,zmMSOSx1,zmMSOSxinf,
  zmOSMSx0,zmOSMSx1,zmOSMSxinf,zmMSMSx0,zmMSMSx1,zmMSMSxinf},
  If[scheme == "OSOS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      zmOSOSx0 = Get[$ExpansionDirectory <> "/zmOSx0OSOS.m"];
      Block[{xOSOS = x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSOSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      zmOSOSx1 = Get[$ExpansionDirectory <> "/zmOSx1OSOS.m"];
      Block[{omxOSOS = 1 - x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSOSx1, Module]];
    }];
    If[3/2 < x, 
    {
      zmOSOSxinf = Get[$ExpansionDirectory <> "/zmOSxinfOSOS.m"];
      Block[{ixOSOS = 1/x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSOSxinf, Module]];
    }];
    }];
  If[scheme == "MSOS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      zmMSOSx0 = Get[$ExpansionDirectory <> "/zmOSx0MSOS.m"];
      Block[{xMSOS = x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSOSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      zmMSOSx1 = Get[$ExpansionDirectory <> "/zmOSx1MSOS.m"];
      Block[{omxMSOS = 1 - x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSOSx1, Module]];
    }];
    If[3/2 < x, 
    {
      zmMSOSxinf = Get[$ExpansionDirectory <> "/zmOSxinfMSOS.m"];
      Block[{ixMSOS = 1/x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSOSxinf, Module]];
    }];
    }];
  If[scheme == "OSMS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      zmOSMSx0 = Get[$ExpansionDirectory <> "/zmOSx0OSMS.m"];
      Block[{xOSMS = x, m1MS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSMSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      zmOSMSx1 = Get[$ExpansionDirectory <> "/zmOSx1OSMS.m"];
      Block[{omxOSMS = 1 - x, m1MS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSMSx1, Module]];
    }];
    If[3/2 < x, 
    {
      zmOSMSxinf = Get[$ExpansionDirectory <> "/zmOSxinfOSMS.m"];
      Block[{ixOSMS = 1/x, m1MS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[zmOSMSxinf, Module]];
    }];
    }];
  If[scheme == "MSMS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      zmMSMSx0 = Get[$ExpansionDirectory <> "/zmOSx0MSMS.m"];
      Block[{xMSMS = x, m1MS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSMSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      zmMSMSx1 = Get[$ExpansionDirectory <> "/zmOSx1MSMS.m"];
      Block[{omxMSMS = 1 - x, m1MS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSMSx1, Module]];
    }];
    If[3/2 < x, 
    {
      zmMSMSxinf = Get[$ExpansionDirectory <> "/zmOSxinfMSMS.m"];
      Block[{ixMSMS = 1/x, m1MS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[zmMSMSxinf, Module]];
    }];
    }];
  Print["Unsuported option for the mass renormalization. Valid options are:"]; 
  Print["\"OSOS\" : m2 and m1 are renormalized on-shell"];
  Print["\"MSOS\" : m2 is renormalized MSbar and m1 is renormalized on-shell"];
  Print["\"OSOS\" : m1 is renormalized MSbar and m2 is renormalized on-shell"];
  Print["\"OSOS\" : m2 and m1 are renormalized MSbar"];
]
zmnum[x_, m1_, mm1_, mm2_] := zmnum[x,m1,mm1,mm2,"OSOS"];


Z2OSnum[x_, m1_, mm1_, mm2_, scheme_] := Module[{Z2OSOSx0,Z2OSOSx1,Z2OSOSxinf,Z2MSOSx0,Z2MSOSx1,Z2MSOSxinf,
  Z2OSMSx0,Z2OSMSx1,Z2OSMSxinf,Z2MSMSx0,Z2MSMSx1,Z2MSMSxinf},
  If[scheme == "OSOS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      Z2OSOSx0 = Get[$ExpansionDirectory <> "/Z2OSx0OSOS.m"];
      Block[{xOSOS = x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[Z2OSOSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      Z2OSOSx1 = Get[$ExpansionDirectory <> "/Z2OSx1OSOS.m"];
      Block[{omxOSOS = 1 - x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[Z2OSOSx1, Module]];
    }];
    If[3/2 < x, 
    {
      Z2OSOSxinf = Get[$ExpansionDirectory <> "/Z2OSxinfOSOS.m"];
      Block[{ixOSOS = 1/x, m1OS = m1, m2OS= x*m1, mu1 = mm1, mu2 = mm2}, Return[Z2OSOSxinf, Module]];
    }];
    }];
  If[scheme == "MSOS",
   {
    If[! NumericQ[x], 
     Return[Print["Only numeric evaluation for x is supported."], Module]];
    If[x <= 1/2, 
    {
      Z2MSOSx0 = Get[$ExpansionDirectory <> "/Z2OSx0MSOS.m"];
      Block[{xMSOS = x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[Z2MSOSx0, Module]];
    }];
    If[1/2 < x <= 3/2,  
    {
      Z2MSOSx1 = Get[$ExpansionDirectory <> "/Z2OSx1MSOS.m"];
      Block[{omxMSOS = 1 - x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[Z2MSOSx1, Module]];
    }];
    If[3/2 < x, 
    {
      Z2MSOSxinf = Get[$ExpansionDirectory <> "/Z2OSxinfMSOS.m"];
      Block[{ixMSOS = 1/x, m1OS = m1, m2MS= x*m1, mu1 = mm1, mu2 = mm2}, 
      Return[Z2MSOSxinf, Module]];
    }];
    }];
  Print["Unsuported option for the mass renormalization. Valid options are:"]; 
  Print["\"OSOS\" : m2 and m1 are renormalized on-shell"];
  Print["\"MSOS\" : m2 is renormalized MSbar and m1 is renormalized on-shell"];
]
Z2OSnum[x_, m1_, mm1_, mm2_] := Z2OSnum[x,m1,mm1,mm2,"OSOS"];
